/**
 * The data to validate the order's cancelation.
 */
export type DeleteDraftOrderStepInput = {
    /**
     * The order ids to delete.
     */
    order_ids: string[];
};
export declare const deleteDraftOrderWorkflowId = "delete-draft-order";
/**
 * This workflow deletes draft orders.
 *
 * You can also use this workflow within your customizations or your own custom workflows, allowing you to wrap custom logic around canceling an order.
 *
 * @example
 * const { result } = await deleteDraftOrderWorkflow(container)
 * .run({
 *   input: {
 *     order_ids: ["order_123", "order_456"],
 *   }
 * })
 *
 * @summary
 *
 * Delete draft orders.
 *
 * @property hooks.orderCanceled - This hook is executed after the order is canceled. You can consume this hook to perform custom actions on the canceled order.
 */
export declare const deleteDraftOrdersWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeleteDraftOrderStepInput, undefined, []>;
//# sourceMappingURL=delete-draft-order.d.ts.map